///////////////////////////////////////////////////////////
////// GibPascal pascal_main.h
////// Released under the GPLv3
////// Written by:
//////    Michael Gibson
//////    (c)2003-2021
///////////////////////////////////////////////////////////

char version[10]="1.3.3a";

int block_type=0;                                    // type 0 is no block reached
                                                     //      1 var block reached
                                                     //      2 const block reached
                                                     //      3 label block reached
                                                     //      4 type block reached

void syn_chk(char *command);                         // check syntax

////pascal_math.c
float math_set(char *command, int debug);            //internal math proc function

int isOperator(char *check_char);                    //internal function
int isLetter(char check_char);                       //internal function 
int isOperand(char *check_char);                     //internal function
int calculate(char *op1, char *op, char *op2);       //internal function

///main math
int pascal_wround(int indent, int debug);            //implimented in 1.1
float pascal_wsqrt(int ident, int debug);            //implimented in 1.2

////pascal_system.c
void pascal_delay(char *command,int debug);          //new to ver 1.1
void pascal_halt(char *stread);                      //halts execution of code (ends program)
void g_pascal_system(char *command,int debug);       //runs external code
void get_system(char *systemvar1,char *systemvar2);  //internal function
char *get_dir(int debug);


////pascal.c
void pascal_read(int indent,int debug);
void pascal_writeln(int indent, int debug);          //write() also uses this routine
void pascal_insert(int indent, int debug);
void pascal_if(int indent,int debug);
void pascal_until(int indent,int debug);
void pascal_if_subthread();                          //internal function 
void pascal_goto(int indent,int debug);
void pascal_goto_subthread(char temptext[60]);       //internal function
void pascal_rewrite(int indent);
void pascal_var(int debug,int vtype);
void pascal_label(int debug);


void g_pascal_writewc(int indent, int debug);
void g_pascal_read_date(int indent);
void g_pascal_findrp(int indent, int debug);         //find replace string
void g_pascal_findow(int indent, int debug);
void g_pascal_read_version(int indent);

////pascal_string.c
char *pascal_concat(char *command, int debug);       //concat string
char *concat_set(char *command, int debug);
void pascal_delete(char *stread, int indent, int debug);

////pascal_web.c
void g_pascal_writewh(void);
void echo_wc(int spch);
void query_remote_web_client(void);
void read_http_user_agent(char *stread, int indent);
void read_query_string(char *stread,int indent);
void read_remote_addr(char *stread, int indent);
void read_content_length(char *stread,int indent);

////pascal_X11.c
#ifdef LIN64
#ifdef X11WIN 
  void x_msgbox(char *command);
  void x_open();
  void x_close();
  void x_radiobox(char *command);
  void x_imgbox(char *command);
  void x_createwindow(char *command);
#endif
#endif